org.h2gis.functions.spatial.create

## Class GridRowSet

- java.lang.Object
- - org.h2gis.functions.spatial.create.GridRowSet

All Implemented Interfaces:
  org.h2.tools.SimpleRowSource

    public class GridRowSet
    extends Object
    implements org.h2.tools.SimpleRowSource

GridRowSet is used to populate a result set with all grid cells. A cell could be represented as a polygon or its center point.

Author:
  Erwan Bocher

### Constructor Summary

Constructors
Constructor and Description
`GridRowSet(Connection connection, double deltaX, double deltaY, com.vividsolutions.jts.geom.Envelope envelope)` The grid will be computed according an envelope
`GridRowSet(Connection connection, double deltaX, double deltaY, String tableName)` The grid will be computed according a table stored in the database

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ResultSet` `getResultSet()` Give the regular grid
`boolean` `isCenterCell()` Return true is cell is represented as point, false as a polygon
`Object[]` `readRow()`
`void` `reset()`
`void` `setCenterCell(boolean isCenterCell)` Set if the cell must be represented as a point or a polygon

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridRowSet

    public GridRowSet(Connection connection,
                      double deltaX,
                      double deltaY,
                      String tableName)

The grid will be computed according a table stored in the database

Parameters:
  `connection` -
  `deltaX` -
  `deltaY` -
  `tableName` -

#### GridRowSet

    public GridRowSet(Connection connection,
                      double deltaX,
                      double deltaY,
                      com.vividsolutions.jts.geom.Envelope envelope)

The grid will be computed according an envelope

Parameters:
  `connection` -
  `deltaX` -
  `deltaY` -
  `envelope` -

### Method Detail

#### readRow

    public Object[] readRow()
                     throws SQLException

Specified by:
  `readRow` in interface `org.h2.tools.SimpleRowSource`
Throws:
  `SQLException`

#### close

    public void close()

Specified by:
  `close` in interface `org.h2.tools.SimpleRowSource`

#### reset

    public void reset()
               throws SQLException

Specified by:
  `reset` in interface `org.h2.tools.SimpleRowSource`
Throws:
  `SQLException`

#### isCenterCell

    public boolean isCenterCell()

Return true is cell is represented as point, false as a polygon

Returns:

#### setCenterCell

    public void setCenterCell(boolean isCenterCell)

Set if the cell must be represented as a point or a polygon

Parameters:
  `isCenterCell` -

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Give the regular grid

Returns:
  ResultSet
Throws:
  `SQLException`